#version 330 core

in vec3 Color;
in vec2 TexCoords;

uniform int triangleColor;

uniform sampler2D kitty;
uniform sampler2D puppy;

out vec4 outColor;

void main(){
	vec4 kit = texture(kitty, TexCoords);
	vec4 pup = texture(puppy, TexCoords);
	outColor = mix(kit, pup, 0.5);
}

/* vim: set ft=glsl: */
